import { Component, OnInit } from '@angular/core';
import { Feature } from './tab1.module'; // 确保路径正确
import { ModalController } from '@ionic/angular';
import { Router } from '@angular/router';
import { AlertController } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: './tab1.page.html',
  styleUrls: ['./tab1.page.scss'],

})
export class Tab1Page implements OnInit {
  constructor(public modalController: ModalController,
              private router: Router,
              public alertController: AlertController,
              ) {}

  //按钮功能
  alertButtons = [
    {
      text: '登录',
      handler: () => {
        this.router.navigateByUrl('/tabs/tab5')
        //console.log('Login button clicked');
      }
    },
    {
      text: '取消',
      role: 'cancel',
      handler: () => {
        //console.log('Cancel button clicked');
      }
    }
  ];
  // 点击功能栏时，显示未登录弹窗的方法
  presentLoginAlert() {
    this.alertController.create({
      header: '未登录提示',
      //subHeader: '您还没有登录账户',
      message: '请登录以继续使用我们的功能。',
      buttons: this.alertButtons,
    }).then(alertEl => {
      alertEl.present();
    });
  }
  
  ngOnInit() {
  }

  //活动界面
  goToActivityDetail() {
    this.router.navigate(['/activity-detail']); // 替换为活动详情页面的路由路径
  }
  
  // 定义金刚区的功能数组
  // 饮食区域功能列表
  features = [
    { title: '饮食记录', icon: 'list-circle', route: 'none' },
    { title: '饮食计划', icon: 'calendar-clear', route: 'none' },
    { title: '食谱定制', icon: 'pizza-outline', route: 'none' },
    { title: '营养分析', icon: 'body-outline', route: 'none' },
    { title: '饮食视频', icon: 'film-outline', route: 'none' },
    { title: '饮食提醒', icon: 'alarm-outline', route: 'none' }
  ];
  onFeatureSelect(feature:Feature) {
    console.log('Navigate to:', feature.title);
    // 在这里添加导航逻辑，例如使用this.router.navigate(feature.route)
  }

  // 健身区域功能列表
  fitnessFeatures = [
      { title: '运动记录', icon: 'stats-chart', route: 'none' },
      { title: '运动计划', icon: 'construct', route: 'none' },
      { title: '目标挑战', icon: 'trophy', route: 'none' },
      { title: '体重管理', icon: 'barbell', route: 'none' },
      { title: '健身视频', icon: 'fitness', route: 'none' },
      { title: '虚拟教练', icon: 'infinite', route: 'none' } 
    ];
  // 健身功能选择事件
  onFitnessFeatureSelect(feature:Feature) {
    console.log('Navigate to:', feature.title);
    // 在这里添加导航逻辑
  }

  // 打开设置的示例方法
  openSettings() {
    console.log('Open settings');
  }

  // 假设有一个搜索栏的模态组件
  async presentSearch() {
    const modal = await this.modalController.create({
      component: 'SearchModal' // 搜索模态组件的名称
    });
    return modal.present();
    
  }
    /* 公告栏 */
    


}